# SSN Name Match

## SSN Name Match Overview ##
The SSN Name Match Cloud API determines if the Social Security Number is within the acceptable range, and matches against the First and Last Name. In addition, the Cloud API will also check if the SSN is flagged as deceased.

You can use SSN Name Match to:
- Verify SSN syntax is correct
- Verify the SSN exists
- Match First and Last Name to the SSN
- Perform deceased suppression based upon SSN

**Documentation**
* [SSN Name Match Documentation](https://docs.melissa.com/cloud-api/ssn-name-match/ssn-name-match-index.html)

**Useful Resources**
* [GitHub - SSN Name Match Open API Specification](https://github.com/MelissaData/MelissaCloudAPI-OpenAPI-Specification/blob/main/openapi/apis/ssn-name-match.yaml)
* [Release notes](https://releasenotes.melissa.com/cloud-api/ssn-name-match/)
* [Result codes](https://docs.melissa.com/cloud-api/ssn-name-match/result-codes.html)

**Product Page**

[https://www.melissa.com/ssn-name-match](https://www.melissa.com/ssn-name-match)

**Support Center**

[https://www.melissa.com/company/product-support](https://www.melissa.com/company/product-support)



## Servers

SSN Name Match Server
```
https://namessn.melissadata.net/v4/web/SSN
```

## Download OpenAPI description

[SSN Name Match](https://developer.melissa.com/_bundle/apis/ssn-name-match.yaml)

## Validate SSN and Name

Use Validate SSN and Name endpoint to check if the Social Security Number is within the acceptable range, and match against the First and Last Name.

### Validate a SSN

 - [GET /doLookup](https://developer.melissa.com/apis/ssn-name-match/validate-ssn-and-name/dolookupget.md): Check if the Social Security Number is within the acceptable range, and match against the First and Last Name.

### Validate SSNs

 - [POST /doLookup](https://developer.melissa.com/apis/ssn-name-match/validate-ssn-and-name/dolookuppost.md): Submit a batch request to check if the Social Security Numbers are within the acceptable range, and match against the First and Last Name.

